Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLUnstructuredDataWriter Class Reference

`#include <vtkXMLUnstructuredDataWriter.h>`

Inheritance diagram for vtkXMLUnstructuredDataWriter:

[legend]
Collaboration diagram for vtkXMLUnstructuredDataWriter:

[legend]
List of all members.

## Detailed Description

Superclass for VTK XML unstructured data writers.

Date:
  2002/10/16 18:23:07

Revision:
  1.1

vtkXMLUnstructuredDataWriter provides VTK XML writing functionality that is common among all the unstructured data formats.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLUnstructuredDataWriter.cxx)`
  - .`h` (`/IO/vtkXMLUnstructuredDataWriter.h)`

Definition at line 46 of file vtkXMLUnstructuredDataWriter.h.

## Public Types
typedef vtkXMLWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetNumberOfPieces (int)
virtual int | GetNumberOfPieces ()
virtual void | SetWritePiece (int)
virtual int | GetWritePiece ()
virtual void | SetGhostLevel (int)
virtual int | GetGhostLevel ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLUnstructuredDataWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLUnstructuredDataWriter ()
| ~vtkXMLUnstructuredDataWriter ()
vtkPointSet * | GetInputAsPointSet ()
virtual const char * | GetDataSetName ()=0
virtual void | SetInputUpdateExtent (int piece, int numPieces, int ghostLevel)=0
int | WriteData ()
virtual void | WriteInlineMode (vtkIndent indent)
virtual void | WriteInlinePieceAttributes ()
virtual void | WriteInlinePiece (vtkIndent indent)
virtual void | WriteAppendedMode (vtkIndent indent)
virtual void | WriteAppendedPieceAttributes (int index)
virtual void | WriteAppendedPiece (int index, vtkIndent indent)
virtual void | WriteAppendedPieceData (int index)
void | WriteCellsInline (const char *name, vtkCellArray *cells, vtkDataArray *types, vtkIndent indent)
unsigned long * | WriteCellsAppended (const char *name, vtkDataArray *types, vtkIndent indent)
void | WriteCellsAppendedData (vtkCellArray *cells, vtkDataArray *types, unsigned long *positions)
void | ConvertCells (vtkCellArray *cells)
## Protected Attributes
int | NumberOfPieces
int | WritePiece
int | GhostLevel
unsigned long * | PointsPositions
unsigned long * | NumberOfPointsPositions
unsigned long ** | PointDataPositions
unsigned long ** | CellDataPositions
vtkIdTypeArray * | CellPoints
vtkIdTypeArray * | CellOffsets

## Member Typedef Documentation

typedef vtkXMLWriter vtkXMLUnstructuredDataWriter::Superclass

| Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLPolyDataWriter, and vtkXMLUnstructuredGridWriter. Definition at line 49 of file vtkXMLUnstructuredDataWriter.h.

## Constructor & Destructor Documentation

vtkXMLUnstructuredDataWriter::vtkXMLUnstructuredDataWriter | ( |  | ) | `[protected]`

vtkXMLUnstructuredDataWriter::~vtkXMLUnstructuredDataWriter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLUnstructuredDataWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLPolyDataWriter, and vtkXMLUnstructuredGridWriter.

int vtkXMLUnstructuredDataWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLPolyDataWriter, and vtkXMLUnstructuredGridWriter.

virtual int vtkXMLUnstructuredDataWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLPolyDataWriter, and vtkXMLUnstructuredGridWriter.

vtkXMLUnstructuredDataWriter* vtkXMLUnstructuredDataWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLPolyDataWriter, and vtkXMLUnstructuredGridWriter.

void vtkXMLUnstructuredDataWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLPolyDataWriter, and vtkXMLUnstructuredGridWriter.

virtual void vtkXMLUnstructuredDataWriter::SetNumberOfPieces | ( | int |  | ) | `[virtual]`

| Get/Set the number of pieces used to stream the image through the pipeline while writing to the file.

virtual int vtkXMLUnstructuredDataWriter::GetNumberOfPieces | ( |  | ) | `[virtual]`

| Get/Set the number of pieces used to stream the image through the pipeline while writing to the file.

virtual void vtkXMLUnstructuredDataWriter::SetWritePiece | ( | int |  | ) | `[virtual]`

| negative or equal to the NumberOfPieces, all pieces will be written.

virtual int vtkXMLUnstructuredDataWriter::GetWritePiece | ( |  | ) | `[virtual]`

| negative or equal to the NumberOfPieces, all pieces will be written.

virtual void vtkXMLUnstructuredDataWriter::SetGhostLevel | ( | int |  | ) | `[virtual]`

| Get/Set the ghost level used to pad each piece.

virtual int vtkXMLUnstructuredDataWriter::GetGhostLevel | ( |  | ) | `[virtual]`

| Get/Set the ghost level used to pad each piece.

vtkPointSet* vtkXMLUnstructuredDataWriter::GetInputAsPointSet | ( |  | ) | `[protected]`

virtual const char* vtkXMLUnstructuredDataWriter::GetDataSetName | ( |  | ) | `[protected, pure virtual]`

| Implements vtkXMLWriter. Implemented in vtkXMLPolyDataWriter, and vtkXMLUnstructuredGridWriter.

virtual void vtkXMLUnstructuredDataWriter::SetInputUpdateExtent | ( | int | piece,
|  | int | numPieces,
|  | int | ghostLevel
| ) | `[protected, pure virtual]`

| Implemented in vtkXMLPolyDataWriter, and vtkXMLUnstructuredGridWriter.

int vtkXMLUnstructuredDataWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLWriter.

virtual void vtkXMLUnstructuredDataWriter::WriteInlineMode | ( | vtkIndent | indent | ) | `[protected, virtual]`

virtual void vtkXMLUnstructuredDataWriter::WriteInlinePieceAttributes | ( |  | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPolyDataWriter, and vtkXMLUnstructuredGridWriter.

virtual void vtkXMLUnstructuredDataWriter::WriteInlinePiece | ( | vtkIndent | indent | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPolyDataWriter, and vtkXMLUnstructuredGridWriter.

virtual void vtkXMLUnstructuredDataWriter::WriteAppendedMode | ( | vtkIndent | indent | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPolyDataWriter, and vtkXMLUnstructuredGridWriter.

virtual void vtkXMLUnstructuredDataWriter::WriteAppendedPieceAttributes | ( | int | index | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPolyDataWriter, and vtkXMLUnstructuredGridWriter.

virtual void vtkXMLUnstructuredDataWriter::WriteAppendedPiece | ( | int | index,
|  | vtkIndent | indent
| ) | `[protected, virtual]`

| Reimplemented in vtkXMLPolyDataWriter, and vtkXMLUnstructuredGridWriter.

virtual void vtkXMLUnstructuredDataWriter::WriteAppendedPieceData | ( | int | index | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPolyDataWriter, and vtkXMLUnstructuredGridWriter.

void vtkXMLUnstructuredDataWriter::WriteCellsInline | ( | const char * | name,
|  | vtkCellArray * | cells,
|  | vtkDataArray * | types,
|  | vtkIndent | indent
| ) | `[protected]`

unsigned long* vtkXMLUnstructuredDataWriter::WriteCellsAppended | ( | const char * | name,
|  | vtkDataArray * | types,
|  | vtkIndent | indent
| ) | `[protected]`

void vtkXMLUnstructuredDataWriter::WriteCellsAppendedData | ( | vtkCellArray * | cells,
|  | vtkDataArray * | types,
|  | unsigned long * | positions
| ) | `[protected]`

void vtkXMLUnstructuredDataWriter::ConvertCells | ( | vtkCellArray * | cells | ) | `[protected]`

## Member Data Documentation

int vtkXMLUnstructuredDataWriter::NumberOfPieces`[protected]`

| Definition at line 101 of file vtkXMLUnstructuredDataWriter.h.

int vtkXMLUnstructuredDataWriter::WritePiece`[protected]`

| Definition at line 104 of file vtkXMLUnstructuredDataWriter.h.

int vtkXMLUnstructuredDataWriter::GhostLevel`[protected]`

| Definition at line 107 of file vtkXMLUnstructuredDataWriter.h.

unsigned long* vtkXMLUnstructuredDataWriter::PointsPositions`[protected]`

| Definition at line 110 of file vtkXMLUnstructuredDataWriter.h.

unsigned long* vtkXMLUnstructuredDataWriter::NumberOfPointsPositions`[protected]`

| Definition at line 111 of file vtkXMLUnstructuredDataWriter.h.

unsigned long** vtkXMLUnstructuredDataWriter::PointDataPositions`[protected]`

| Definition at line 112 of file vtkXMLUnstructuredDataWriter.h.

unsigned long** vtkXMLUnstructuredDataWriter::CellDataPositions`[protected]`

| Definition at line 113 of file vtkXMLUnstructuredDataWriter.h.

vtkIdTypeArray* vtkXMLUnstructuredDataWriter::CellPoints`[protected]`

| Definition at line 116 of file vtkXMLUnstructuredDataWriter.h.

vtkIdTypeArray* vtkXMLUnstructuredDataWriter::CellOffsets`[protected]`

| Definition at line 117 of file vtkXMLUnstructuredDataWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLUnstructuredDataWriter.h